* Q1 *

clear
set mem 100m
use speed_dating

* Q2 *

* look at the data--where is the unique identifier? 
desc
tab id
tab iid
* looks like 552 unique subjects who participated in 22 waves of the experiment. iid is the unique identifier, and id is the wave identifier.

* Q3 *

* a.

sum wave gender date dec *1_1

* b.

collapse wave date gender dec *1_1, by(iid)

* c. 

gen dates =.
replace dates = 3*52 if date == 1
replace dates = 2*52 if date == 2
replace dates = 1*52 if date == 3
replace dates = 2*12 if date == 4
replace dates = 1*12 if date == 5
replace dates = 3*1 if date == 6
replace dates = 1*1 if date == 7
tab dates date, 
drop dates

* d.

recode date (1 = 156) (2 = 104) (3 = 52) (4 = 24) (5 = 12) (6 = 3) (7 = 1), gen(dates)

* e.

tab dates
* mode = 3 (136 times a year / once a week)

* f.

su dates
* mean = 20.3

* g.

tab gender
* 274 f, 277 m

* h.

tab gender, sum(dates)

* i.

tab gender, sum(dec)
* women more selective (.37 < .48)

* j.

for num 6/9: drop if wave == X

* k. 

tab gender, sum(attr1_1)
tab gender, sum(sinc1_1)
tab gender, sum(intel1_1)
tab gender, sum(fun1_1)
tab gender, sum(amb1_1)
tab gender, sum(shar1_1)
* I would say only attr and amb have substantively significant differences. the former has the biggest difference.

* Q4 *

clear
set mem 100m
use speed_dating
egen decisions = total(dec), by(iid)
su decisions
* we want the iid whose decisions is equal to the max. we can either tab iid if decisions == 21, or we can use the "r(max)" variable which is stored in memory after we run the "su" command.
tab iid if decisions == r(max)

* Q5 *

egen matches = total(match), by(iid)
su matches
tab iid if matches == r(max)

* Q6 *

gen match_rate = matches / decisions
tab match_rate
* seems to be 100% for 9.74% of sample

* Q7 *

* the "describe" command will tell us what format a variable is in
desc mn_sat
* it is in string format, so we want to use the "destring" command to convert it to numeric. we use the "ignore" option to remove the commas and decicmal points. otherwise Stata will give an error.
destring mn_sat, ignore("" "," ".") replace
tab mn_sat

* Q8 *

tab mn_sat
* we'll do this by "eyeballing" the cross-tab we just did, using the last column, which gives the cumulative percentage. so for example, for the first tercile we want the new variable to equal "1" if it is less than the number that corresponds to around 33% in the last column of the cross-tab.
recode mn_sat (min/125800 = 1) (125800/138000 = 2) (138000/max = 3), gen(sat_tercile)
tab sat_tercile

* Q9 *

drop sat_tercile
xtile sat_tercile = mn_sat, nquantiles(3)
tab mn_sat sat_tercile

* Q10 *

tab sat_tercile, sum(match_rate)
* yes going from 1st to 2nd tercile, no going from 2nd to 3rd

* Q11 *

* a.

collapse wave date gender dec *3_1 *_o, by(iid)

* b.

su *
* yes, missingness on date and self-reported attributes for between 9 and 18 subjects

* c.

desc
* note our use of a for loop. you can also just cor one by one, but this is more efficient.
foreach x in attr sinc fun intel amb {
    cor `x'3_1 `x'_o
}
* fun and attractiveness are moderately and positively correlated. no correspondence on intel and sinc. middling (.15) on amb
/* other way of doing it
cor attr3_1 attr_o
*etc...
*/

* d.

scatter attr3_1 attr_o, jitter(10)
graph export "jitter.eps", as(eps) replace

* Q12 *

clear *
set mem 100m
use speed_dating
destring income, ignore("" "," ".") replace
collapse wave date gender match income dec *1_1 *3_1 *_o, by(iid)
* is there a relationship between matches and income?
cor income match
